/*
 * Created on Aug 3, 2003
 */
package AcmeStudio.remote.impl;

import org.eclipse.ui.IEditorPart;

import AcmeStudio.ui.editors.MultiPageAcmeEditor;
import AcmeStudio.ui.editors.diagram.figures.SystemView;
import acmeLib.elements.AcmeDesign;
import acmeLib.elements.AcmeSystem;


/**
 * Convenience class to store various info needed to interact with AcmeStudio
 */
public class ASInfo {
    private String _fileName = null;
    private IEditorPart _part = null;
    private SystemView _sysView = null;
    private AcmeDesign _design = null;
    private AcmeSystem _system = null;
    public String fileName () { return _fileName; }
    public void setFileName (String name) { _fileName = name; };
    public IEditorPart editPart () { return _part; }
    public MultiPageAcmeEditor mPAE () { return (MultiPageAcmeEditor) _part; }
    public void setEditPart (IEditorPart part) { _part = part; };
    public SystemView systemView () { return _sysView; }
    public void setSystemView (SystemView sysView) { _sysView = sysView; };
    public AcmeDesign design () { return _design; }
    public void setDesign (AcmeDesign design) { _design = design; };
    public AcmeSystem system () { return _system; }
    public void setSystem (AcmeSystem system) { _system = system; };
}