/*
 * Created on Jul 6, 2005
 *
 */
package AcmeStudio.remote.jms;


/**
 * @author Bradley Schmerl
 * Created Jul 6, 2005
 * Contains tag constants for xAcme and Mutation
 */
public interface XAcmeConstants {
	public static final String	ANCHORINTERFACE_TAG	= "anchorInterface";
	public static final String	ARCHINSTANCE_TAG	= "archInstance";
	public static final String	ATTACHED_TAG			= "attached";
	public static final String	ATTACHEDCONNECTOR_TAG	= "attachedConnector";
	public static final String	ATTACHEDGAUGE_TAG		= "attachedGauge";
	public static final String	BOOLEANVALUE_TAG	= "booleanValue";
	public static final String	CHANGED_TAG				= "changed";
	public static final String	COMPONENTINSTANCE_TAG	= "componentInstance";
	public static final String	COMPONENTTYPE_TAG	= "componentType";
	public static final String	CONNECTORINSTANCE_TAG	= "connectorInstance";
	public static final String	CONNECTORTYPE_TAG	= "connectorType";
	public static final String	CREATED_TAG				= "created";
	public static final String	DELETED_TAG				= "deleted";
	public static final String	DELETEDCOMPONENT_TAG	= "deletedComponent";
	public static final String	DELETEDCONNECTOR_TAG	= "deletedConnector";
	public static final String	DELETEDGAUGE_TAG		= "deletedGauge";
	public static final String	DELETEDPORT_TAG			= "deletedPort";
	public static final String	DELETEDPROPERTY_TAG		= "deletedProperty";
	public static final String	DELETEDROLE_TAG			= "deletedRole";
	public static final String	DESCRIPTION_TAG	= "description";
	public static final String	DETACHED_TAG			= "detached";
	public static final String	DETACHEDCONNECTOR_TAG	= "detachedConnector";
	public static final String	DETACHEDGAUGE_TAG		= "detachedGauge";

	public static final String	EOL						= "\n";
	public static final String	FAMILY_TAG	= "family";
	public static final String	FINISHEDCHANGES_TAG		= "finishedChanges";
	public static final String	FLOATVALUE_TAG	= "floatValue";
	public static final String	INNERINTERFACEINSTANCE_TAG	= "innerInterfaceInstance";
	public static final String	INSTANCEOF_TAG	= "instanceOf";
	public static final String	INTERFACEINSTANCE_TAG	= "interfaceInstance";
	public static final String	INTERFACEINSTANCEMAPPING_TAG	= "interfaceInstanceMapping";
	public static final String	INTERFACETYPE_TAG	= "interfaceType";
	public static final String	INTVALUE_TAG	= "intValue";
	public static final String	LINKINSTANCE_TAG	= "linkInstance";
	public static final String	NEWBINDING_TAG			= "newComponent";
	public static final String	NEWCOMPONENT_TAG		= "newComponent";
	public static final String	NEWCONNECTOR_TAG		= "newConnector";
	public static final String	NEWGAUGE_TAG			= "newGauge";
	public static final String	NEWPORT_TAG				= "newPort";
	public static final String	NEWPROPERTY_TAG			= "newProperty";
	public static final String	NEWROLE_TAG				= "newRole";
	public static final String	OUTERINTERFACEINSTANCE_TAG	= "outerInterfaceInstance";
	public static final String	POINT_TAG	= "point";
	public static final String	PROPERTY_TAG	= "property";
	public static final String	PROPERTYENUMTYE_TAG	= "propertyEnumTye";
	public static final String	PROPERTYFIELDDECLARATION_TAG	= "propertyFieldDeclaration";
	public static final String	PROPERTYFIELDVALUE_TAG	= "propertyFieldValue";
	public static final String	PROPERTYPRIMITIVETYPE_TAG	= "propertyPrimitiveType";
	public static final String	PROPERTYPRIMITIVEVALUE_TAG	= "propertyPrimitiveValue";
	public static final String	PROPERTYRECORDTYPE_TAG	= "propertyRecordType";
	public static final String	PROPERTYRECORDVALUE_TAG	= "propertyRecordValue";
	public static final String	PROPERTYSEQUENCETYPE_TAG	= "propertySequenceType";
	public static final String	PROPERTYSEQUENCEVALUE_TAG	= "propertySequenceValue";
	public static final String	PROPERTYSETTYPE_TAG	= "propertySetType";
	public static final String	PROPERTYSETVALUE_TAG	= "propertySetValue";
	public static final String		PROPERTYTYPE_TAG		= "propertyType";
	public static final String	STARTEDCHANGES_TAG		= "startedChanges";
	public static final String	STRINGVALUE_TAG	= "stringValue";
	public static final String	STRUCTURE_TAG	= "structure";
	public static final String	SUBARCHITECTURE_TAG	= "subArchitecture";
	public static final String	SUPERTYPE_TAG	= "superType";
	public static final String		SYSTEM_TAG				= "archInstance";
	public static final String	TYPE_TAG	= "type";
	public static final String	XLINK_HREF_ATTR	= "xlink:href";
	public static final String	XLINK_TYPE_ATTR	= "xlink:type";
	public static final String	XSI_TYPE_ATTR	= "xsi:type";
	public static final String	CONTEXT_TAG	= "context";
	public static final String	NEWSYSTEM_TAG	= "newSystem";
	
}
