/*
 * Created on Jul 24, 2003
 */
package AcmeStudio.remote.test.statement;

/**
 * @author Shang-Wen Cheng (zensoul@cs.cmu.edu)
 * 
 * Returns the current working directory.
 */
public class WorkingDirStatement extends Statement {

    public WorkingDirStatement(String cmd) {
        super(cmd);
    }

    /* (non-Javadoc)
     * @see AcmeStudio.remote.test.Statement#execute(java.lang.Object)
     */
    public boolean execute(Object server) {
        boolean rv = true;

        System.out.println("Current working directory: " + System.getProperty("user.dir"));
        
        return rv;
    }

    /* (non-Javadoc)
     * @see AcmeStudio.remote.test.Statement#usage()
     */
    public String usage() {
        return cmd();
    }

}
