/*
 * Created on Jul 23, 2003
 */
package AcmeStudio.remote.exception;


/**
 * @author Shang-Wen Cheng (zensoul@cs.cmu.edu)
 * 
 * Indicates that a supplied name is illegal.
 */
public class IllegalNameException extends NestingException {

    /**
     * Constructs an exception object using the supplied message and throwable.
     * @param s  message to indicate the reason for exception
     * @param ex  the nested exception
     */
    public IllegalNameException(String s, Throwable ex) {
        super(s, ex);
    }

}
